{ pkgs, ... }:

let
  nomarchy-font = pkgs.stdenv.mkDerivation {
    pname = "nomarchy-font";
    version = "1.0";
    # Point directly to the font file
    src = ./../home/config/Nomarchy.ttf;
    # No archive to unpack
    unpackPhase = "true";
    installPhase = ''
      mkdir -p $out/share/fonts/truetype
      cp $src $out/share/fonts/truetype/Nomarchy.ttf
    '';
  };
in
{
  fonts.packages = [
    nomarchy-font
    pkgs.nerd-fonts.jetbrains-mono
    pkgs.nerd-fonts.roboto-mono
    pkgs.nerd-fonts.fira-code
    pkgs.nerd-fonts.ubuntu-mono
  ];
}
